        Character*30 Function SetLogFileName (unit, newfilename)
C==============================================================
C
C
        IMPLICIT None
C
C
C Declare Character Type Variables ... 
C
      Character 
     >    defaultfilename*13, ! Default Name of File
     >    nameoffile*13,      ! Name of Sequential File
     >    Oldfilename*30      ! Place holder for file name.
           
      Character*(*) 
     >    newfilename        ! Name Specified by user 
C
C Declare Logical Type Variables ...
C
      LOGICAL 
     >    THERE              ! Existence Status of file
C
C Declare Integer Type Variables...
C
      Integer 
     >    unit,               ! Sequential Access unit number
     >    ios,                ! Error status of file
     >    valid               ! Length of file name Newfilename
C
C Setup Local Variable Data Statements
C
      Data nameoffile/'NameOflog.txt'/
ccjd      Data defaultfilename/'SpiderLog.log'/
      Data defaultfilename/'WindsLog.log'/
      valid = LEN(newfilename)
C
C
C Check for the existence of the file that holds the name of
C The log file that is to be used.
C
      INQUIRE (FILE=nameoffile, EXIST=THERE)
C
C
C If the file Exist open it ...

      IF (THERE) THEN
         OPEN (UNIT=unit, 
     >         FILE=nameoffile, 
     >         ACCESS='SEQUENTIAL', 
     >         IOSTAT=ios,
     >         STATUS='OLD',
     >         FORM='UNFORMATTED' )
      END IF
C
C
C If the file dose not exist Create it ... 
C
      IF (.NOT. THERE) THEN
         OPEN (UNIT=unit,
     >         FILE=nameoffile,
     >         ACCESS='SEQUENTIAL',  
     >         IOSTAT=ios, 
     >         STATUS='NEW',
     >         FORM='UNFORMATTED')
C
C Check the length of the file name entered, If the name is less
C than five (5) characters use the default file name.

                  IF ( valid .LT. 5) then
                      Oldfilename = defaultfilename
                  else
                      Oldfilename = newfilename
                  END IF
C
C Write the file name to Sequential file and close file and 
C return name of file back to the calling program or function.
C
                  WRITE (UNIT=unit) Oldfilename
                  CLOSE (UNIT=unit)
                  SetLogFileName = Oldfilename
                  RETURN
        END IF

C
C The file did exist on the filing system...
C Check the length of the file name entered, If less than five
C characters read the name of the file name being used and 
C return that value for the function.

        IF ( valid .LT. 5) then

             READ (unit) Oldfilename
             CLOSE (UNIT=unit)
             SetLogFileName = Oldfilename
             RETURN
        ELSE 
C
C If file name is greater than five (5) characters change the
C name of the log file being used by writing the name of
C the file name entered and then return that name back to
C the calling program
C
          Oldfilename = newfilename
             WRITE (UNIT=unit)  Oldfilename
             CLOSE (UNIT=unit)
             SetLogFileName = Oldfilename
             RETURN
        ENDIF

        END
