      INTEGER FUNCTION FINDOBX(CIDN, num)
C ***************************************************************
C  FINDOBX.FOR		PROGRAMMED BY : Gerald Hartling 3/21/97
C     Searches the station list for a given station id.
C
C  INPUT:
C     CIDN		4-letter station id.
C     NUM               number of stations in the list.
C  OUTPUT:
C     If the station is found Returns the index of the array that 
C     the station is located in. Otherwise a -1 is returned.
C ***************************************************************
      character*4 cidn
      integer num, j, low, high, mid
      include "imasos.h"
      include "stnlst.h"
C      character*4 cidn
C      integer num, j, low, high, mid
    
      high = num
      low  = 0
      findobx = -1

C ***************************************************************
C  Do a binary search through the array for the station.
C ***************************************************************
      do 20 while (low.le.high)
           mid = (low+high)/2
c          write(*, 100) cidn, mid, high, low, cstn(mid)
        do 10 j=1,4
           if ( cidn(j:j).eq.cstn(mid)(j:j) ) then
                if ( j.eq.4 ) then
c                    findobx = mid
                     findobx = istn(mid)
                     return
                endif
           else if ( cidn(j:j).lt.cstn(mid)(j:j) ) then
                high = mid-1
C                exit
                 GOTO 11
           else if ( cidn(j:j).gt.cstn(mid)(j:j) ) then
                low = mid+1
C                exit
                 GOTO 11
           endif
  10    continue
  11    continue
  20  end do
 100  format (a4, 5x, i4, 5x, i4, 5x, i4, 5x, a4)

      RETURN
      END
