      FUNCTION GIMSKT(TBB,JTYPE)
C $ OBTAIN SFC-SKIN-TEMP FROM GOES/I-M TBB'S (HMW)
C $  IF RETRIEVAL CANNOT BE MADE, E.G. BECAUSE A CHANNEL IS MISSING,
C $   A VALUE OF 'MISSING' (999999.) IS RETURNED.
C * SOUNDER
C     JTYPE=0 FOR SHORTWAVE 'DAY' OR 'NIGHT'
C             ACCORDING TO SOLAR ZENITH ANGLE
C     JTYPE=1 FOR SHORTWAVE 'DAY'         (17,18)
C     JTYPE=2 FOR SHORTWAVE 'NIGHT'       (16,17)
C     JTYPE=3 FOR L/W + S/W               (17,7,8)
C     JTYPE=4 FOR L/W 'SPLIT WINDOW - A'  (7,8)
C     JTYPE=5 FOR L/W 'SPLIT WINDOW - B'  (6,8)
C * IMAGER
C     JTYPE=10 FOR 'DAY' OR 'NIGHT' ACCORDING TO SOLAR ZENITH ANGLE
C     JTYPE=11 FOR 'DAY'    (4,5)
C     JTYPE=12 FOR 'NIGHT'  (2,4,5)
C
      PARAMETER (NBS=2, NPS=3, NCS=4, NTS=5)
      PARAMETER (NBI=1, NPI=4, NCI=5, NTI=2)
      COMMON/TSKCOF/COEFS(NCS,NTS),COEFI(NCI,NTI)
      COMMON/NAV/GLAT,GLON,GZEN,SZEN,IL,IE,IRAS,IPIC,ITIME,JTIME,JDAY
      DIMENSION TBB(*),ICS(NPS,NBS),TPS(NPS)
      DIMENSION ICI(NPI,NBI),TPI(NPI)
      DATA (ICS(I,1),I=1,NPS)/16,17,18/
      DATA (ICS(I,2),I=1,NPS)/6,7,8/
      DATA (ICI(I,1),I=1,NPI)/22,23,24,25/
      DATA TMISG/999999./
C
      IF(JTYPE.GT.9) GO TO 200
C * SOUNDER
      IF(JTYPE.LT.3) THEN
         K=1
      ELSE
         K=2
      ENDIF
      DO 110 J=1,NPS
      I=ICS(J,K)
      IF(JTYPE.EQ.3.AND.J.EQ.1) I=17
  110 TPS(J)=TBB(I)
      IF(JTYPE.EQ.0) THEN
         IF(SZEN.LT.90.) THEN
            J=1
         ELSE
            J=2
         ENDIF
      ELSE
         J=JTYPE
      ENDIF
      TSKIN=COEFS(NCS,J)
      DO 120 I=1,NPS
      C=COEFS(I,J)
      T=TPS(I)
      IF(C.NE.0..AND.T.EQ.TMISG) GO TO 400
  120 TSKIN=TSKIN+C*T
      GO TO 300
C * IMAGER
  200 K=1
      DO 210 J=1,NPI
      I=ICI(J,K)
  210 TPI(J)=TBB(I)
      IF(JTYPE.EQ.10) THEN
         IF(SZEN.LT.90.) THEN
            J=1
         ELSE
            J=2
         ENDIF
      ELSE
         J=MOD(JTYPE,10)
      ENDIF
      TSKIN=COEFI(NCI,J)
      DO 220 I=1,NPI
      C=COEFI(I,J)
      T=TPI(I)
      IF(C.NE.0..AND.T.EQ.TMISG) GO TO 400
  220 TSKIN=TSKIN+C*T
C
  300 GIMSKT=TSKIN
      RETURN
  400 GIMSKT=TMISG
      RETURN
      END
