      FUNCTION LWCLS(LUN)                                                       
C                                                                               
C $ FUNCTION LWCLS(LUN)                                                         
C $ CLOSE LW FILE                                                               
C $ LUN = (I*4)  LOGICAL UNIT NUMBER                                            
C $ LWCLS FUNCTION VALUE = 1 - FILE SUCCESSFULLY CLOSED                         
C $                       -1 - NO FILE HAS THIS UNIT NUMBER                     
C                                                                               
      CHARACTER*80 CTEXT                                                        
      REAL*8 DNAMES, DFILE, DFNAME                                              
      CHARACTER*8 CFNAME                                                        
C                                                                               
      COMMON/DAIO/ DNAMES(16),LRECL(16),LUNS(16),JROFF(16),JWOFF(16),           
     1  KPROT(16)                                                               
      EQUIVALENCE (CFNAME,DFNAME)                                               
      LWCLS = 1                                                                 
C                                                                               
      DO 100 J = 1, 16                                                          
        JJ = J                                                                  
        IF (LUNS(J) .EQ. LUN) GO TO 200                                         
  100 CONTINUE                                                                  
C                                                                               
C     LWCLS ERROR - NO FILE WITH THIS LOGICAL UNIT NUMBER                       
C                                                                               
      WRITE(CTEXT,1000) LUN                                                     
      CALL SDEST(CTEXT,0)                                                       
      LWCLS = -1                                                                
      GO TO 900                                                                 
C                                                                               
  200 CONTINUE                                                                  
      DFNAME=DNAMES(JJ)                                                         
      CALL LWMOP(CFNAME)                                                        
      LUNS(JJ) = -1                                                             
      DNAMES(JJ) = 0.D+0                                                        
      JROFF(JJ) = 0                                                             
      JWOFF(JJ) = 0                                                             
      KPROT(JJ) = 0                                                             
  900 CONTINUE                                                                  
      RETURN                                                                    
 1000 FORMAT(' LWCLS ERROR - UNIT ',I4,' NOT ASSIGNED TO ANY FILE')             
      END                                                                       
