C ***************************************************************
C    SRTSTNS.FOR
C    PROGRAMMED BY : Gerald Hartling	3/11/1997
C
C    Put the list of stations into alphabetical order by region.
C     
C ***************************************************************

      SUBROUTINE SRTSTNS(CSTNS, REGIONS, NUM)
C ***************************************************************
C    CSTNS(NUM)		Character array containing the stations
C    CSTNS2(NUM,NUMREG) temporary array for stations
C    NUM 		Number of stations
C    REGIONS(NUMREG)    Array that stores how many stations are in
C			each of the regions.
C ***************************************************************

      include "imasos.h"
      character*5 cstns(MAXSTNS), cstns2(MAXSTNS)
      integer num, istn, i, j
      integer regions(NUMREG)
      include "getstns.h"
      
C ***************************************************************
C   Initialize variables.
C ***************************************************************
      istn = 0
      do 10 i=1, NUMREG
           regions(i) = 0
  10  continue
      do 20 i=1, num
           cstns2(i) = cstns(i)
           cstns(i)  = '     '
  20  continue         

C ***************************************************************
C   Put stations into order so that each station in region 1 is 
C   at the beginning of the array followed by region 2 and so on.
C ***************************************************************
      do 50 j=1, NUMREG
           do 40 i=1,num
                if (cstns2(i)(5:5).eq.creg(j)) then
                     istn       = istn + 1
                     cstns(istn)(1:4) = cstns2(i)(1:4)
                     regions(j) = regions(j) + 1
c                    write (*, 100) cstns(istn), regions(j)
                end if
  40       continue
  50  continue
C
 100  format(a5,5x,i4)
      return
      end
