      FUNCTION VPICE(TEMP)
C $ FUNCTION VPICE(TEMP)           (N)
C $ COMPUTE SATURATION VAPOR PRESSURE OVER ICE
C $ TEMP = (R) INPUT  TEMP TO USE FOR COMPUTATION, EITHER KELVIN
C $         OR CELSIUS
C $$ VPICE = VAS,COMPUTATION
C
      REAL*8 T
C
      T = TEMP
      IF(T .GT. 100.D+0) T = T - 273.16D+0
      VPLOG = .7859063157D+0 + T*(.357924232D-1 + T*
     1  (-.1292820828D-3 + T*(.5937519208D-6 + T*(.4482949133D-9
     2  + .2176664827D-10 * T ))))
      VPICE = 10. ** VPLOG
      RETURN
      END
