C----------------------------------------------------------
C [ COMPUTES THE ABSOLUTE PERCENT DIFFERENCE BETWEEN TWO   [
C [ REAL NUMBERS.                                          [
C [                                                        [
C [ RECEIVES: REAL VALUE1 - FIRST NUMBER                   [
C [           REAL VALUE2 - SECOND NUMBER                  [
C [ RETURNS:  REAL PCTDIF - ABSOLUTE PERCENT DIFFERENCE    [
C ----------------------------------------------------------
       REAL FUNCTION PCTDIF(VALUE1, VALUE2)

       REAL VALUE1, VALUE2

       IF(VALUE1 .NE. 0.0) THEN
         PCTDIF = ABS((VALUE1 - VALUE2) / VALUE1)
       ELSE
         IF(VALUE2 .NE. 0.0) THEN
           PCTDIF = ABS((VALUE1 - VALUE2) / VALUE2)
         ELSE
             PCTDIF = 0.
         ENDIF
       ENDIF
       RETURN
       END
