      SUBROUTINE PFCGIM(NGOES)
C $ Input GOES/I-M Planck-function, band-cor'n & TSKIN coeff's (HMW)
C        plus gammas, deltas, epsilons, and 'use' flags
C $ NGOES = GOES satellite number, e.g. 8 (GOES/I)
      PARAMETER (IUC=15,LENC=1200,NK=25,NT=2,LENP=NK*(NT+3),LENT=30)
      PARAMETER (LENG=NK*3,LENU=NK*NT)
      PARAMETER (MBG=200,MBU=300,NRC=20)
      COMMON/GIMGDE/GBUF(LENG)
      COMMON/PLNCGO/PBUF(LENP)
      COMMON/TSKCOF/TBUF(LENT)
      COMMON/USE/IBUF(LENU)
      DIMENSION CBUF(LENC)
C      CHARACTER*8 CFILE/'GOESRTCX'/
      CHARACTER*8 CFILE
      DATA CFILE/'GOESRTCX'/
C
      NSAT=NGOES-7
      IRC=(NSAT-1)*NK+NRC
      CALL LWOPN(CFILE,IUC,LENC)
      CALL LWREAD(IUC,IRC,CBUF)
      CALL LWCLS(IUC)
      DO L=1,LENP
         PBUF(L)=CBUF(L)
      ENDDO
      M=LENP
      DO L=1,LENT
         M=M+1
         TBUF(L)=CBUF(M)
      ENDDO
      M=MBG
      DO L=1,LENG
         M=M+1
         GBUF(L)=CBUF(M)
      ENDDO
      M=MBU
      DO L=1,LENU
         M=M+1
         IBUF(L)=CBUF(M)
      ENDDO
      RETURN
      END
