C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: ptparm.inc,v 1.7 2003/03/26 21:29:17 daves Exp $ ***

C  point source subsystem parameters

CXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
C NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE
CXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
C  IF YOU CHANGE THESE VALUES, YOU MUST ALSO CHANGE THEM IN
C   MCIDAS.H !!
CXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

C  MAXGRIDPT		maximum number of grid points

C  BYTESPERPARM		number of bytes per parameter (key)

      INTEGER    BYTESPERPARM
      PARAMETER (BYTESPERPARM = 4)

C  HEADSIZE		number of words in MD file header

      INTEGER    HEADSIZE
      PARAMETER (HEADSIZE = 64)

C  MINMDFILENO		minimum number of MD file

      INTEGER	MINMDFILENO
      PARAMETER (MINMDFILENO = 1)

C  MAXMDFILES           maximum number of MD files in MASK list

      INTEGER   MAXMDFILES
      PARAMETER (MAXMDFILES = 5000)

C  MAXMDFILENO		maximum number of MD file

      INTEGER	MAXMDFILENO
      PARAMETER (MAXMDFILENO = 999999)

C  MAXNUMSORT		maximum number of sort conditions allowed

      INTEGER    MAXSORTNUM
      PARAMETER (MAXSORTNUM = 256)

C  MAXNUMPARM		maximum number of point source parameters

      INTEGER    MAXNUMPARM
      PARAMETER (MAXNUMPARM = 402)

C  MAXPTNAMLEN		maximum length of point source dataset name

      INTEGER    MAXPTNAMLEN
      PARAMETER (MAXPTNAMLEN = 64)

C  MAXPTREQLEN		maximum length of point source request to server

      INTEGER    MAXPTREQLEN
      PARAMETER (MAXPTREQLEN = 4096)

C  MAXSORTLEN		maximum length of a single sort condition

      INTEGER    MAXSORTLEN
      PARAMETER (MAXSORTLEN = 4096)

C  VERSION		version number of point source protocol

      INTEGER    VERSION
      PARAMETER (VERSION = 1)
