      SUBROUTINE SURGES(NOSFC)
C $ SUBROUTINE SURGES(NOSFC)         (CMH)
C $ SURGEW - Expects to have /SURF/ filled with climatological values
C $          IELV must be passed through /SURF/
C $          Get surface analysis for NOAA or VAS..Update surface
C $          parameters
C $ Input:
C $    NOSFC = (I) IF =0  Get surface data fron grids
C $$ SURGES = VAS
C  N.B.  GETSFV EXPECTS  ANALYSES OF 1000 MB Z, SEA-LEVEL TEMPERATURE
C     AND SURFACE DEWPOINT DEPRESSION.  VALUES RETURNED IN /SURF/ BY
C     THIS ROUTINE: 1000 Z (M), SURFACE TEMP AND SURFACE DEWPOINT(K*100)
      CHARACTER*132 CTEXT
      CHARACTER*12 CFF,CFI
      COMMON/SURF/IZ10,ITSFC,IDSFC,IPSTA,IELV,LSTA
      COMMON/NAV/VLAT,VLON,VZEN,SZEN,IL,IE,IRAS,IPIC,ITIME,JTIME,JDAY
C
      FS2(I)=.01*FLOAT(I)
      IS2(F)=F*100.+.5
      IF(NOSFC.EQ.1) GO TO 190
      CALL GETSFV
      IF(IPSTA.EQ.999999) RETURN
      IDSFC=MAX0(IDSFC,0)
      IDSFC=MIN0(IDSFC,5000)
      IDSFC=ITSFC-IDSFC
  190 CONTINUE
C * REPLACE MSL T AND D WITH SFC DATA
      TMSL=FS2(ITSFC)
      DSFC=FS2(IDSFC)
      DEW=TMSL-DSFC
      Z10=IZ10
      ZS=IELV
      T10=TMSL-.0065*Z10
      DZ=ZS-Z10
      TSFC=T10-.0065*DZ
      ITSFC=IS2(TSFC)
C  N.B. FOR NOSFC OPTION WE ARE APPLYING A 1000 MB AND NOT A SFC DEW
C     IF VALUES HAVE BEEN INITIALIZED BY VASGES
      DSFC=TSFC-DEW
      IDSFC=IS2(DSFC)
      DEN=29.2898*TSFC+.0952*DZ
      IF(ABS(DEN).GT.1.E-6) GO TO 25
      IPSTA=999999
      RETURN
   25 ARG=-DZ/DEN
      PST=1000.*EXP(ARG)
      IPSTA=PST
      LSTA=LEVSFC(PST)
      RETURN
      END
