      subroutine taudoc(nc,nx,ny,cc,xx,tau)
c * Strow-Woolf model ... for dry, ozo(ne), and wco (water-vapor continuum)
c .... version of 02.02.98
      dimension cc(nc,ny),xx(nx,ny),tau(*)
      data trap/-999.99/

	taul=1.
	tau(1)=taul
      do 100 j=1,ny
      if(taul.eq.0.) go to 100
      yy=cc(nc,j)
      if(yy.eq.trap) then
         taul=0.
         go to 100
      endif
      do i=1,nx
         yy=yy+cc(i,j)*xx(i,j)
      enddo
      tauy=taul*exp(-yy)
      taul=amin1(tauy,taul)
  100 tau(j+1)=taul
      return
      end
ccccccccc
