      subroutine tauwtr(ncs,ncl,nxs,nxl,nxw,ny,ccs,ccl,xx,tau)
c * Strow-Woolf model ... for 'wet' (water-vapor other than continuum)
c .... version of 02.02.98
      dimension ccs(ncs,ny),ccl(ncl,ny),xx(nxw,ny),tau(*)
      data trap/-999.99/

	odsum=0.
	taul=1.
	tau(1)=taul
      do 100 j=1,ny
      if(taul.eq.0.) go to 100
	if(odsum.lt.5.) then
         yy=ccs(ncs,j)
         if(yy.eq.trap) then
            taul=0.
            go to 100
         endif
         do i=1,nxs
            yy=yy+ccs(i,j)*xx(i,j)
         enddo
	   odsum=odsum+abs(yy)
	else
	   yy=ccl(ncl,j)
	   if(yy.eq.trap) then
	      taul=0.
            go to 100
         endif
         do i=1,nxl
            yy=yy+ccl(i,j)*xx(i+11,j)
         enddo
	   odsum=odsum+abs(yy)
	endif
      tauy=taul*exp(-yy)
      taul=amin1(tauy,taul)
  100 tau(j+1)=taul
      return
      end
ccccccccc
