#include <string.h>
#include <stdlib.h>
#include <stdio.h>
/*struct {int ntok; int nkw; int narr[64]; int ideval;} PARCTL;*/
#define STRNLEN 64
#define NUMTOKS 128
#define PARMLEN 256
struct {char string[STRNLEN];
        int  loctok[NUMTOKS];
        int  lentok[NUMTOKS];
        int  typtok[NUMTOKS];
        int  nkwpar[NUMTOKS];
        int  ntok;
        char parms[PARMLEN];} parstok;
void mctokn (char *);
void tokanl ( int, int *, int *);
char * ckwp(char *, int , char *);

void mctokn (char *ctext)
{
int lctext;  /* length of string ctext */
int ic;      /* index for ctext */
int ct = -1;  /* start of current token */
int cn = -1;  /* length of current token 0 based */
int ntok = -1; /* number of tokens encountered 0 based */
int ltok = -1; /* last key word token encountered (ntok number */
int slen = -1; /* length of string */
int sloc = -1; /* location of string */
int npp = -1;  /* number of positional parameters */
int nkp = -1;  /* number of key word parameters */
int nkw = -1;  /* number of key words */
char c;     /* current character */
int i, j;      /* indexing */
lctext = strlen (ctext);
if (ctext[lctext-1] == '\x0a') {lctext--; ctext[lctext] = '\0';}
 /* printf ("lctext %5d \n",lctext);printf("%s\n",ctext); */
for (i=0; i<NUMTOKS; i++)
  {parstok.nkwpar[i] = 0;}
for (ic=0; ic<lctext; ic++)
 {c = ctext[ic]; if (ic < PARMLEN-1) {parstok.parms[ic] = c;parstok.parms[ic+1] = '\0';}
  if (sloc >= 0)
   {cn++; slen++;
    if (c == '}' || c == '\0')
     {   /* printf ("pp: npp %d ntok %d ct %d cn %d\n",npp,ntok,ct,cn); */
      for (i=0,j=ct+1; i<=cn-2&&i<STRNLEN; i++,j++) {parstok.string[i] = ctext[j];}
      parstok.string[STRNLEN-1] = '\0';
      if (ntok < NUMTOKS) {parstok.loctok[ntok] = ct+1;
                           parstok.lentok[ntok] = cn-1;
                           parstok.typtok[ntok] = 4   ;}
     }
   }
  else if (c == ' ')
   {if (ntok == -1) {continue;}    /* skip initial blanks */
    if (cn   == -1) {continue;}    /* skip multiple blanks between tokens */
    if (nkp <  0)      /* found a positional parameter */
     {npp++;
      /* printf ("pp: npp %d ntok %d ct %d cn %d\n",npp,ntok,ct,cn); */
      if (ntok < NUMTOKS) {parstok.loctok[ntok] = ct;
                           parstok.lentok[ntok] = cn+1;
                           parstok.typtok[ntok] = 1   ;}
     }
    else
     {nkp++;  /* found a key word   parameter */
      /* printf ("pp: nkp %d ntok %d ct %d cn %d\n",nkp,ntok,ct,cn); */
      if (ntok < NUMTOKS) {parstok.loctok[ntok] = ct;
                           parstok.lentok[ntok] = cn+1;
                           parstok.typtok[ntok] = 3   ;
                           parstok.nkwpar[ltok]++     ;}
     }
    ct = -1; cn = -1;     /* reset for new token */
   }
  else if (cn == -1)
   {ntok++; cn++; ct = ic;  /* new token  check for '{' */
    if (c == '{') {sloc = ic; slen++;}
   }
  else if (c == '=' || c == ',')     /* end of keyword token */
   {nkp++; nkw++; cn++;
    /* printf ("pp: nkp %d ntok %d ct %d cn %d\n",nkp,ntok,ct,cn); */
    if (ntok < NUMTOKS) {parstok.loctok[ntok] = ct;
                         parstok.lentok[ntok] = cn;
                         parstok.typtok[ntok] = 2 ;
                         parstok.nkwpar[ntok] = 0 ;
                         ltok = ntok; }
    cn = -1; ct = -1;    /* reset for new token */
   }
  else {cn++;} /* continuation of token */
 }        /* end of for loop on ic */
ntok++; parstok.ntok = ntok;  /* change from 0 start to 1 start index */
/*if (bug > 2) {		START DEBUG
  printf("> THIS IS THE RESULTS<  %3d\n",ntok);
  printf ("ntok %4d npp %d nkp %d nkw %d sloc %d\n",ntok,npp,nkp,nkw,sloc);
  printf ("%s \n",parstok.parms);
  for (i=0; i<ntok; i++)
    printf("%3d%c", parstok.loctok[i], (i%25 == 24 || i==ntok-1) ? '\n' : ' ') ;
  for (i=0; i<ntok; i++)
    printf("%3d%c", parstok.lentok[i], (i%25 == 24 || i==ntok-1) ? '\n' : ' ') ;
  for (i=0; i<ntok; i++)
    printf("%3d%c", parstok.typtok[i], (i%25 == 24 || i==ntok-1) ? '\n' : ' ') ;
  for (i=0; i<ntok; i++)
    printf("%3d%c", parstok.nkwpar[i], (i%25 == 24 || i==ntok-1) ? '\n' : ' ') ;
  printf("%s<\n",parstok.string);
  printf("> END OF THE RESULTS<\n");}  */         /* end DEBUG */
}

char * ckwp(char *ckw, int itn, char *cdeflt)
{
int i, j, slen, loc, len;
int ntok = parstok.ntok; /* for convience- shorter */
char *p = NULL;
   /*  executables */
slen = strlen(ckw);
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 2) {continue;}
  loc = parstok.loctok[i];
  for (j=0; j<slen; j++)
   {if (parstok.parms[loc+j] != ckw[j]) {goto nextok;} }
    if (itn > parstok.nkwpar[i]) goto out;
    len = parstok.lentok[i+itn];
    loc = parstok.loctok[i+itn];
    p = (char *)malloc(len+1);
    if (p != NULL) {strncpy(p,&parstok.parms[loc],len);
    p[len] = '\0';
         return p;}
 nextok: ;
 }
out:
p = (char *)malloc(strlen(cdeflt)+1);
if (p != NULL) {strcpy(p,cdeflt);}
return p;
}

int ikwp(char *ckw, int itn, int deflt)
{
int i, j, slen, loc, len, v;
int ntok = parstok.ntok; /* for convience- shorter */
   /*  executables */
slen = strlen(ckw);
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 2) {continue;}
  loc = parstok.loctok[i];
  for (j=0; j<slen; j++)
   {if (parstok.parms[loc+j] != ckw[j]) {goto nextok;} }
    if (itn > parstok.nkwpar[i]) goto out;
    len = parstok.lentok[i+itn];
    loc = parstok.loctok[i+itn];
    if (parstok.parms[loc] == 'X') goto out;  /* allow default */
    sscanf (&parstok.parms[loc],"%d",&v);
    /* {int i;for(i=0;i<len;i++) {printf("%c",parstok.parms[loc+i]);} printf("\n");} */
         return v;
 nextok: ;
 }
out:
return deflt;
}

int ipp(int itn, int deflt)
{
int i, j, loc, len, v;
int nt = 0;  /* number of positional parameters encountered */
int ntok = parstok.ntok; /* for convience- shorter */
   /*  executables */
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 1) {continue;}
  nt++; if (nt < itn) {continue;}
  loc = parstok.loctok[i];
  len = parstok.lentok[i];
  if (parstok.parms[loc] == 'X') goto out;  /* allow default */
  sscanf (&parstok.parms[loc],"%d",&v);
    /* {int i;for(i=0;i<len;i++) {printf("%c",parstok.parms[loc+i]);} printf("\n");} */
  return v;
 }
out:
return deflt;
}

double dpp(int itn, double deflt)
{
 double v;
 int i, loc;
 int nt = 0;  /* number of positional parameters encountered */
 int ntok = parstok.ntok; /* for convience- shorter */
   /*  executables */
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 1) {continue;}
  nt++; if (nt < itn) {continue;}
  loc = parstok.loctok[i];
  if (parstok.parms[loc] == 'X') goto out;  /* allow default */
  sscanf (&parstok.parms[loc],"%lf",&v);
    /* {int i;for(i=0;i<len;i++) {printf("%c",parstok.parms[loc+i]);} printf("\n");} */
  return v;
 }
out:
return deflt;
}

char *cpp(int itn, char *deflt)
{
int i, loc, len;
int nt = 0;  /* number of positional parameters encountered */
int ntok = parstok.ntok; /* for convience- shorter */
char *p = NULL;
   /*  executables */
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 1) {continue;}
  nt++; if (nt < itn) {continue;}
  loc = parstok.loctok[i];
  len = parstok.lentok[i];
  if (parstok.parms[loc] == 'X') goto out;  /* allow default */
  p = (char *)malloc(len+1);
    if (p != NULL) {strncpy(p,&parstok.parms[loc],len);
     *(p+len) = '\0'; return p;}
 }
out:
p = (char *)malloc(strlen(deflt)+1);
if (p != NULL) {strcpy(p,deflt);}
return p;
}

int cqfld (char **cbuf, int *len)
{int i;
for (i=0; i<parstok.ntok; i++)
 {if (parstok.typtok[i] != 4) {continue;}
  /* cbuf = &parstok.string[0]; */
  *cbuf = parstok.string;
  /* cbuf = (char *)parstok.loctok[i];*/
  *len = parstok.lentok[i];
  return 1;
 }
return 0;
}

double dkwp(char *ckw, int itn, double deflt)
{
double v;
int i, j, slen, loc, len;
int ntok = parstok.ntok; /* for convience- shorter */
   /*  executables */
slen = strlen(ckw);
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 2) {continue;}
  loc = parstok.loctok[i];
  for (j=0; j<slen; j++)
   {if (parstok.parms[loc+j] != ckw[j]) {goto nextok;} }
    if (itn > parstok.nkwpar[i]) goto out;
    len = parstok.lentok[i+itn];
    loc = parstok.loctok[i+itn];
    if (parstok.parms[loc] == 'X') goto out;  /* allow default */
    sscanf (&parstok.parms[loc],"%lf",&v);
    return v;
 nextok: ;
 }
out:
return deflt;
}

int nkwp(char *ckw)
{
int i, j, slen, loc;
int ntok = parstok.ntok; /* for convience- shorter */
   /*  executables */
slen = strlen(ckw);
for (i=0; i<ntok; i++)
 {if (parstok.typtok[i] != 2) {continue;}
  loc = parstok.loctok[i];
  for (j=0; j<slen; j++)
   {if (parstok.parms[loc+j] != ckw[j]) {goto nextok;} }
    return parstok.nkwpar[i];
 nextok: ;
 }
return 0;
}
